﻿@model WebChat.Models.USERS

@{ 
    Layout = null;
}

<link href="~/Content/bootstrap.min.css" rel="stylesheet" />
<link href="~/Content/loginStyle.css" rel="stylesheet" />

<script src="~/Scripts/jquery-3.4.1.js"></script>
<script src="~/Scripts/bootstrap.min.js"></script>

@using (Html.BeginForm("Login", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post,
    new { @class = "form-horizontal", @autocomplete = "on" }))
{
    @Html.AntiForgeryToken();

    @Html.ValidationSummary(true, "", new { @class = "text-danger" });

    <div class="container">
        <div class="form-login">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <div class="panel-title">Chat Login</div>
                </div>

                <div style="padding-top:30px" class="panel-body">
                    <div style="display:none" id="result" class="alert alert-danger col-sm-12">

                    </div>

                    <div style="margin-bottom: 25px" class="input-group">
                        <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
                        @Html.EditorFor(model => model.EMAIL, new
                        {
                            htmlAttributes =
                        new { @class = "form-control input-lg", placeholder = "E-mail", autofocus = true }
                        })
                        @Html.ValidationMessageFor(model => model.EMAIL, "",
                        new { @class = "text-danger" })
                    </div>

                    <div style="margin-bottom: 25px" class="input-group">
                        <span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span>
                        @Html.EditorFor(model => model.PASSWORD, new
                        {
                            htmlAttributes =
                        new { @class = "form-control input-lg", placeholder = "Password", type = "password" }
                        })
                        @Html.ValidationMessageFor(model => model.PASSWORD, "",
                        new { @class = "text-danger" })
                    </div>

                    <div style="margin-top:10px" class="form-group">

                        <div class="col-sm-12 controls">
                            <input type="submit" value="Enter" class="btn primary btn-lg" formmethod="post" />
                        </div>
                    </div>
                    <p>@Html.ActionLink("Register", "Create", "Users")</p>
                </div>
            </div>
        </div>
    </div>
}
